Summary: An Atomix clone for Linux that uses the SDL.
Name: marbles
Version: 1.0.1
Release: fr1
Epoch: 1
License: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar.bz2
URL: http://lgames.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL >= 1.1.4
BuildRequires: SDL-devel

%description
An Atomix clone game for Linux that uses the SDL.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=Marbles
Comment=%{summary}
Exec=marbles
Icon=
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%attr(2551, root, games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%{_mandir}/man6/%{name}*
%config(noreplace) %attr(664, games, games) %{_localstatedir}/lib/games/%{name}.prfs

%changelog
* Fri Feb  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1

* Thu Apr 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 010307.

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

